'use strict';

var top = require('./lib/top.js');
var split = require('./lib/split.js')('Processes:');
var parse = require('./lib/parser.js');

var start = function start(options) {
  var instance = top(options);

  process.on('exit', function () {
    return instance.kill();
  });
  process.on('uncaughtException', function (err) {
    instance.kill();
    throw new Error(err);
  });

  var dataStream = instance.stdout.pipe(split).pipe(parse);

  return Object.assign(dataStream, { kill: function kill() {
      return instance.kill();
    } });
};

module.exports = start;